Endpoint Groups
Cells
Cells operations within the Notebooks API group.
Create cellPOST
/notebooks/{notebookId}/cells
Operation ID
createCellPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
notebookId |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update cellPATCH
/notebooks/{notebookId}/cells/{cellId}
Operation ID
updateCellPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
cellId |
string |
true |
- |
notebookId |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete cellDELETE
/notebooks/{notebookId}/cells/{cellId}
Operation ID
deleteCellPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
cellId |
string |
true |
- |
notebookId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |